#include <QtTest>

#include "TestBinomialHelper.h"
#include "TestDatabaseManager.h"
#include "TestFrequencyResponseHelper.h"
#include "TestJackClientAudioEngine.h"

int main(int argc, char** argv) {
    int status = 0;
    {
       TestBinomialHelper bench;
       status |= QTest::qExec(&bench, argc, argv);
    }
    {
       TestDatabaseManager bench;
       status |= QTest::qExec(&bench, argc, argv);
    }
    {
       TestFrequencyResponseHelper bench;
       status |= QTest::qExec(&bench, argc, argv);
    }
    {
       TestJackClientAudioEngine bench;
       status |= QTest::qExec(&bench, argc, argv);
    }

    return status;
}
